Page tree
Skip to end of metadata
Go to start of metadata

 

Omni is supported with Microsoft® Internet Explorer® version 11,  Microsoft® Edge®, and Apple® Safari® versions >10.

The most recent stable versions of Mozilla® Firefox® and Google Chrome™ are also supported.

 

Description

Information on Internet Explorer (IE) versions 9 and 10, which will no longer be supported by Omni (Modica's Platform)

Resolution

What Is the Change?

  • Due to the number of blocked issues relating to older browser versions, IE versions < 11, Safari versions < 10 and all non-current versions of Google Chrome and Mozilla Firefox are no longer supported.
  • Microsoft announced in January 2016 that it would only support the latest version of Internet Explorer moving forward. IE 11 is now the only supported Internet Explorer version. Further information on the Microsoft policy can be found here.


What does this mean to me?

  • If you continue to use unsupported browsers, some features/functionality may no longer work or work in unintended ways.
  • Bugs or performance issues that appear specifically when using unsupported browsers will not be investigated or fixed by Modica.

 

Why are we ending support for other browsers?
As we evaluate which browsers to support, we consider which ones will give our users the best experience and enable us to focus on areas that will add the most value for customers.

 

There are two key motivators that drove this decision:

  • IE versions < 11 are less secure. Trust and security are incredibly important to us at Modica. There have been multiple security vulnerabilities discovered in these older browsers over the years, so we are upholding our commitment to trust by ending support for these less secure browsers.
  • Our customers are moving to newer browsers. Very few customers are still using older browser versions. Our customers are trending towards newer browsers, and we want to develop features that best serve our customer community.


What will happen if I don’t take action?

  • While users may still be able to access the service from older browsers, new and/or existing features and functionality may no longer work in these browsers or only work partially.
  • In addition, bugs or performance issues that appear only when using unsupported browsers will not be investigated or fixed by Modica after this release.


How can I get more information?

    • Modica Support is always available to answer any questions you may have about this change, email us support@modicagroup.com


  • No labels